/* $Id: TransformerRule.java 378 2007-11-30 23:09:00Z hohwille $
 * Copyright (c) The m-m-m Team, Licensed under the Apache License, Version 2.0
 * http://www.apache.org/licenses/LICENSE-2.0 */
package net.sf.mmm.util.text;

/**
 * This is the abstract base class for a rule used to
 * {@link #transform(String, String) replace} a given string.
 * 
 * @author Joerg Hohwiller (hohwille at users.sourceforge.net)
 */
public abstract class TransformerRule {

  /**
   * @see Singularizer#transform(String)
   * 
   * @param string is the original string to modify.
   * @param stringLowerCase is the <code>string</code> in
   *        {@link String#toLowerCase() lower-case}.
   * @return the replaced <code>string</code> or <code>null</code> if this
   *         rule does NOT apply and the <code>string</code> should NOT be
   *         replaced.
   */
  public abstract String transform(String string, String stringLowerCase);

}
